---
title: "Disables specific Product by id 1) Hides the product from reports and Stocktake by default 2) Turns off communication between Retail Express and eCommerce/Web Store integrations 3) Excluded from Product Search in POS"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c/operations/delete-products-id"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c.md

# Disables specific Product by id 1) Hides the product from reports and Stocktake by default 2) Turns off communication between Retail Express and eCommerce/Web Store integrations 3) Excluded from Product Search in POS

`DELETE` `/products/{id}`

Operation ID: `delete-products-id`

Disables specific Product by id 1) Hides the product from reports and Stocktake by default 2) Turns off communication between Retail Express and eCommerce/Web Store integrations 3) Excluded from Product Search in POS

## Path parameters

- `id` (integer, int32, required) - Product id

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Responses

- `204` - Product disabled
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Not Found

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: v2.1
servers:
  - url: https://api.retailexpress.com.au/v2.1
paths:
  /products/{id}:
    delete:
      tags:
        - products
      summary: "Disables specific Product by id\r

        1) Hides the product from reports and Stocktake by default\r

        2) Turns off communication between Retail Express and eCommerce/Web
        Store integrations\r

        3) Excluded from Product Search in POS"
      description: "Disables specific Product by id\r

        1) Hides the product from reports and Stocktake by default\r

        2) Turns off communication between Retail Express and eCommerce/Web
        Store integrations\r

        3) Excluded from Product Search in POS"
      operationId: delete-products-id
      parameters:
        - name: id
          in: path
          description: Product id
          required: true
          schema:
            type: integer
            description: Product id
            format: int32
            example: 10000
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      responses:
        "204":
          description: Product disabled
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "404":
          description: Not Found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
```
